Warning ! This site is currently under development, and may contain inaccurate and misleading information. Report an issue
| Status: Red. Known issues: | None

A JBoss Project
Red Hat
This is the archived New & Noteworthy page that is also part of  4.4.3.Final

What's New in 4.4.3.AM2

Hibernate Tools

Hibernate Runtime Provider Updates

The Hibernate 5.0 runtime provider now incorporates Hibernate Core version 5.0.12.Final and Hibernate Tools version 5.0.4.Final.

The Hibernate 5.1 runtime provider now incorporates Hibernate Core version 5.1.4.Final and Hibernate Tools version 5.1.2.Final.

The Hibernate 5.2 runtime provider now incorporates Hibernate Core version 5.2.7.Final and Hibernate Tools version 5.2.1.Final.


OpenShift

OpenShift Container Platform 3.4 support

OpenShift Container Platform (OCP) 3.4 has been announced by Red Hat. JBossTools 4.4.3.AM2 has been validated against OCP 3.4.

If you are using JBossTools together with the Container Development Toolkit (CDK), the latest version is using OCP 3.3 by default. If you are using CDK 2.3, there is a way to upgrade to OCP 3.4. Edit the Vagrantfile, locate the line with IMAGE_TAG="" and replace with IMAGE_TAG="v3.4.1.2-2". then restart the CDK VM (vagrant halt; vagrant up).

It seems there are some upgrade problems between OCP 3.3 and OCP 3.4 so you may experience deploy errors. We recommand that you destroy the CDK VM (vagrant destroy) before upgrading to OCP.

Related JIRA: JBIDE-23389


back to top